#!/usr/bin/env python3
import spidev

# create spidev.SpiDev object
spi = spidev.SpiDev()

# attach spi object to the LED controller chip
bus = 2
device = 1
spi.open(bus, device)

# configure important bus attributes
spi.max_speed_hz = 100000
spi.mode = 0b00

# create LED sequence:
#
# for each group of LEDs, 
#    shift a single bit from least-significant to most-significant
for led_group in (0, 1):
  for bit_shift in range(0,8):
    val = 1 << bit_shift
    spi.writebytes([0x40, led_group, val])
    print("** LED group %d, bit %d is set: value = 0x%x"% (led_group, bit_shift, val))
    input("Hit a key to continue")
