#!/usr/bin/env python3
import spidev
import time

# create spidev.SpiDev object
spi = spidev.SpiDev()

# attach spi object to the LED controller chip
bus = 2
device = 1
spi.open(bus, device)

# configure important bus attributes
spi.max_speed_hz = 100000
spi.mode = 0b00

# create LED sequences:
#
#  o                 o
#   o     o o o     o 
#    o             o  
#
#    o             o  
#   o     o o o     o 
#  o                 o

ccw_spin_values = [0xad, 0xb6, 0x9b]
cw_spin_values = list(ccw_spin_values)
cw_spin_values.reverse()

spin_values = list(zip(ccw_spin_values,cw_spin_values))

while True:
  for pair in spin_values:
      spi.writebytes([0x40, 0x0, pair[0]])
      spi.writebytes([0x40, 0x1, pair[1]])
      time.sleep(0.5)

