#!/usr/bin/env python3
import spidev
import time

# create spidev.SpiDev object
spi = spidev.SpiDev()

# attach spi object to the LED controller chip
bus = 2
device = 1
spi.open(bus, device)

# configure important bus attributes
spi.max_speed_hz = 100000
spi.mode = 0b00

# create LED sequence:
#
#  o                 o
#   o     o o o     o 
#    o             o  

spin_values = [0xad, 0xb6, 0x9b]

while True:
  for val in spin_values:
      spi.writebytes([0x40, 0x0, val])
      time.sleep(0.5)
